ApiParcelUsageRole (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiParcelUsageRole

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiParcelUsageRole

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiParcelUsageRole
      extends Object

  This object is used to represent a role within an ApiParcelUsage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiParcelUsageRole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiParcelUsageRole` | `addParcelRefsItem(ApiParcelRef parcelRefsItem)`
    `boolean` | `equals(Object o)`
    `List<ApiParcelRef>` | `getParcelRefs()` A collection of references to the parcels being used by the role.
    `ApiRoleRef` | `getRoleRef()` Get roleRef
    `int` | `hashCode()`
    `ApiParcelUsageRole` | `parcelRefs(List<ApiParcelRef> parcelRefs)`
    `ApiParcelUsageRole` | `roleRef(ApiRoleRef roleRef)`
    `void` | `setParcelRefs(List<ApiParcelRef> parcelRefs)`
    `void` | `setRoleRef(ApiRoleRef roleRef)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiParcelUsageRole

          public ApiParcelUsageRole()

  - ### Method Detail

    - #### roleRef

          public ApiParcelUsageRole roleRef(ApiRoleRef roleRef)

    - #### getRoleRef

          public ApiRoleRef getRoleRef()

      Get roleRef
      Returns:
        roleRef

    - #### setRoleRef

          public void setRoleRef(ApiRoleRef roleRef)

    - #### parcelRefs

          public ApiParcelUsageRole parcelRefs(List<ApiParcelRef> parcelRefs)

    - #### addParcelRefsItem

          public ApiParcelUsageRole addParcelRefsItem(ApiParcelRef parcelRefsItem)

    - #### getParcelRefs

          public List<ApiParcelRef> getParcelRefs()

      A collection of references to the parcels being used by the role.
      Returns:
        parcelRefs

    - #### setParcelRefs

          public void setParcelRefs(List<ApiParcelRef> parcelRefs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.